import { Injectable } from '@angular/core';
import { App } from './App';

@Injectable({ providedIn: 'root' })
export class AppInitService {

    /**
     * Creates an instance of AppInitService.
     */
    constructor(private app: App) {
        this.init();
    }

    /**
     * 初始化
     *
     * @private
     * @memberof AppInitService
     */
    private init(): void {

        this.app.regFunctionPage('start', '/demo_appstartview');
        this.app.regFunctionPage('login', '/demo_apploginview');
    }

}